# [−] [src] Trait unicode_xid::UnicodeXID

    pub trait UnicodeXID {
        fn is_xid_start(self) -> bool;
        fn is_xid_continue(self) -> bool;
    }

Methods for determining if a character is a valid identifier character.

## Required methods

### `fn is_xid_start(self) -> bool`

Returns whether the specified character satisfies the 'XID_Start' Unicode property.

'XID_Start' is a Unicode Derived Property specified in UAX #31, mostly similar to ID_Start but modified for closure under NFKx.

### `fn is_xid_continue(self) -> bool`

Returns whether the specified `char` satisfies the 'XID_Continue' Unicode property.

'XID_Continue' is a Unicode Derived Property specified in UAX #31, mostly similar to 'ID_Continue' but modified for closure under NFKx.

Loading content...

## Implementors

### `impl UnicodeXID for char` [src]

#### `fn is_xid_start(self) -> bool` [src]

#### `fn is_xid_continue(self) -> bool` [src]

Loading content...